/*
 * Copyright 2022. All rights reserved.
 * Distributed under the terms of the MIT license.
 *
 * Author:
 *	Humdinger, humdingerb@gmail.com
 *
 */

#include <AboutWindow.h>
#include <Application.h>


class TestApp : public BApplication {
public:
						TestApp();
	virtual				~TestApp();

	void				AboutRequested();
//	void				MessageReceived(BMessage* msg);
};


TestApp::TestApp()
	:
	BApplication("application/x-vnd.humdinger-testapp")
{
}


TestApp::~TestApp()
{
}

//
//void
//TestApp::MessageReceived(BMessage* msg)
//{
//	switch (msg->what)
//	{
//		default:
//		{
//			BApplication::MessageReceived(msg);
//			break;
//		}
//	}
//}
//

void
TestApp::AboutRequested()
{
	BAboutWindow* aboutW = new BAboutWindow("Test Application",
		"application/x-vnd.humdinger-testapp");
	aboutW->AddDescription("Hello. Hello?");
	aboutW->AddCopyright(2022, "Humdinger");
	aboutW->Show();
}


int
main()
{
	TestApp app;
	app.Run();
	return 0;
}
